summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/jove/jove.SlackBuild9
-rw-r--r--source/ap/jove/jove.getline.buffsiz.diff60
2 files changed, 67 insertions, 2 deletions
diff --git a/source/ap/jove/jove.SlackBuild b/source/ap/jove/jove.SlackBuild
index 14f8e5c73..cf0036884 100755
--- a/source/ap/jove/jove.SlackBuild
+++ b/source/ap/jove/jove.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=jove
VERSION=4.16.0.73
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -77,7 +77,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/jove.makefile.diff.gz | patch -p1 --verbose --backup
+zcat $CWD/jove.makefile.diff.gz | patch -p1 --verbose --backup || exit 1
+
+# Avoid a glibc namespace conflict with getline(), and increase some
+# buffer sizes:
+zcat $CWD/jove.getline.buffsiz.diff.gz | patch -p1 --verbose --backup || exit 1
+
# More patching needed now:
sed -i -e "s#/lib/jove#/lib${LIBDIRSUFFIX}/jove#" \
-e "s#^OPTFLAGS = .*#OPTFLAGS = $SLKCFLAGS#" Makefile
diff --git a/source/ap/jove/jove.getline.buffsiz.diff b/source/ap/jove/jove.getline.buffsiz.diff
new file mode 100644
index 000000000..59b79c522
--- /dev/null
+++ b/source/ap/jove/jove.getline.buffsiz.diff
@@ -0,0 +1,60 @@
+--- ./fp.h.orig 2002-03-20 15:49:38.000000000 -0600
++++ ./fp.h 2018-08-16 12:43:15.763002319 -0500
+@@ -17,7 +17,8 @@
+ # define scr_putchar(c) f_putc((c), jstdout)
+ extern void flushscreen proto((void));
+ # ifndef SMALL
+-# define MAXTTYBUF 2048
++// TTK here -- upping from 2048 to 256K
++# define MAXTTYBUF 262144
+ # else
+ # define MAXTTYBUF 512
+ # endif
+--- ./insert.c.orig 2002-03-20 15:49:38.000000000 -0600
++++ ./insert.c 2018-08-16 12:43:15.773002319 -0500
+@@ -504,7 +506,7 @@
+ atchar = 0;
+ }
+
+- getline(atline->l_dline, genbuf);
++ j_getline(atline->l_dline, genbuf);
+ atchar += tchar;
+ linecopy(genbuf, atchar, save);
+ atline->l_dline = putline(genbuf);
+--- ./jove.h.orig 2002-03-20 15:49:38.000000000 -0600
++++ ./jove.h 2018-08-16 12:43:15.797002319 -0500
+@@ -267,7 +267,8 @@
+
+ /* term.c: universal termcap-like declarations */
+
+-#define MAXCOLS 256 /* maximum number of columns */
++// TTK here -- boosting to 256K
++#define MAXCOLS 262144 /* maximum number of columns */
+
+ extern int
+ SG, /* number of magic cookies left by SO and SE */
+--- ./io.h.orig 2002-03-20 15:49:38.000000000 -0600
++++ ./io.h 2018-08-16 12:43:15.790002319 -0500
+@@ -40,7 +40,7 @@
+ close_file proto((File *fp)),
+ d_cache_init proto((void)),
+ file_write proto((char *fname, bool app)),
+- getline proto((daddr addr, char *buf)),
++ j_getline proto((daddr addr, char *buf)),
+ lsave proto((void)),
+ putreg proto((File *fp,LinePtr line1,int char1,LinePtr line2,int char2,bool makesure)),
+ read_file proto((char *file, bool is_insert)),
+--- ./io.c.orig 2010-04-16 00:41:46.000000000 -0500
++++ ./io.c 2018-08-16 12:43:15.782002319 -0500
+@@ -1356,9 +1356,9 @@
+
+ void
+ #ifdef USE_PROTOTYPES
+-getline proto((daddr addr, register char *buf))
++j_getline proto((daddr addr, register char *buf))
+ #else
+-getline(addr, buf)
++j_getline(addr, buf)
+ daddr addr;
+ register char *buf;
+ #endif